WEBOOB-CONFIG(1)

NAME
weboob-config - manage backends or register new accounts

SYNOPSIS
weboob-config [-dqv] [-b backends] [-cnfs] [command [arguments..]]
weboob-config [--help] [--version]

DESCRIPTION

Weboob-Config is a console application to add/edit/remove backends, and to register new website accounts.

WEBOOB-CONFIG COMMANDS

add NAME [OPTIONS ...]
    Add a backend.

applications
    Show applications.

confirm BACKEND
    For a backend which support CapAccount, parse a confirmation mail
    after using the 'register' command to automatically confirm the
    subscribe.
    It takes mail from stdin. Use it with postfix for example.

disable BACKEND
    Disable a backend

edit BACKEND
    Edit a backend

enable BACKEND
    Enable a disabled backend

info NAME
    Display information about a module.

list [CAPS ..]
    Show backends.

modules [CAPS ...]
    Show available modules.

register MODULE
    Register a new account on a module.

remove NAME
    Remove a backend.

update
    Update weboob.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

-e EXCLUDE_BACKENDS, --exclude-backends=EXCLUDE_BACKENDS
    what backend(s) to exclude (comma separated)

-I, --insecure
    do not validate SSL

LOGGING OPTIONS

-d, --debug
    display debug messages

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

RESULTS OPTIONS

-c CONDITION, --condition=CONDITION
    filter result items to display given a boolean expression

-n COUNT, --count=COUNT
    limit number of results (from each backends)

-s SELECT, --select=SELECT
    select result item keys to display (comma separated)

FORMATTING OPTIONS

-f FORMATTER, --formatter=FORMATTER
    select output formatter (csv, htmltable, json, multiline, simple, table, webkit)

--no-header
    do not display header

--no-keys
    do not display item keys

-O OUTFILE, --outfile=OUTFILE
    file to export result

COPYRIGHT
Copyright(C) 2010-2012 Christophe Benz, Romain Bignon

For full COPYRIGHT see COPYING file with weboob package.

FILES
"~/.config/weboob/backends"

SEE ALSO
Home page: http://weboob.org/applications/weboob-config